Bug Hunting Session
Bug 100463 - Pipette in Contour Editor does not work
Summary: Pipette in Contour Editor does not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.1 target:5.1.5
Keywords: regression
Depends on:
Blocks: Contour-Editor
  Show dependency treegraph
 
Reported: 2016-06-17 22:00 UTC by Regina Henschel
Modified: 2016-08-31 18:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
document for testing contour (65.68 KB, application/vnd.oasis.opendocument.text)
2016-06-17 22:00 UTC, Regina Henschel
Details
bt with symbols (8.33 KB, text/plain)
2016-06-18 21:24 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-06-17 22:00:25 UTC
Created attachment 125717 [details]
document for testing contour

Insert an image into a text document and set is wrap to "Page Wrap".
Right-click the image, click on item "wrap" and then on "Edit Contour".

In the Contour Editor click on the pipette and then click a color of the picture.
Expected behavior: This color (and similar ones according tolerance) becomes transparent. The automatic contour generating will then respect this transparency.

Actual behavior: The color stays as it is and therefore the automatic contour generating draws the contour line around the whole image.

You can test it in the attached document, when you take a Yellow with the pipette from the right part of the image.

I see the error in Version: 5.3.0.0.alpha0+
Build ID: 3ab13873ebb6dc4738be2e2184ee4433a2447c1d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-06-16_01:48:01
Locale: de-DE (de_DE)

It was OK at least in Version: 4.2.5.2
Build ID: 6ff819b65674ae6c83f3cbab9e4a4c2b292a7a94
Comment 1 Regina Henschel 2016-06-17 22:13:08 UTC
It is already broken in Version: 4.3.0.0.alpha1+
Build ID: 145f2e970f46a3a3e5456b122d71f17c3abe878f
TinderBox: Win-x86@42, Branch:master, Time: 2014-04-26_23:32:36

Changing the version field accordingly.
Comment 2 Buovjaga 2016-06-18 20:07:00 UTC
Repro with document.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: c13f60e7cd18df6b0ab70289f5b91ee01e4ae126
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on June 18th 2016
Comment 3 Julien Nabet 2016-06-18 21:24:51 UTC
Created attachment 125723 [details]
bt with symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed this "ImpPaint: Paint-Range?!"
I retrieved a bt from there.
Comment 4 Commit Notification 2016-07-11 09:25:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5bd18ecac5806b7b4e39a1919b6b56df0f94ce3

Resolves: tdf#100463 tolerence in contour editor doesn't work

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-07-11 14:20:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1979c74cf072feac6c39399eee35ffba4319639&h=libreoffice-5-2

Resolves: tdf#100463 tolerence in contour editor doesn't work

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-07-11 14:20:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95024423f38a5050f614e2d14837eebdbc348a4a&h=libreoffice-5-1

Resolves: tdf#100463 tolerence in contour editor doesn't work

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.